﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Yokogawa DL17x0E (1 yr) Trig Lev Acc IEEE /5520+S6
INSTRUMENT:            Sub Yokogawa DL17x0E (1 yr) Trig Sens IEEE /5520+S6
INSTRUMENT:            Sub Yokogawa DL17x0E (1 yr) ExTrig Lev Acc IEEE/5520+S6
INSTRUMENT:            Sub Yokogawa DL17x0E (1 yr) ExTrig Sens IEEE /5520+S6
DATE:                  2017-04-13 13:47:45
AUTHOR:                Fluke
REVISION:              $Revision: 19267 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       12
NUMBER OF LINES:       254
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
#
#  Procedure Author:  DAC, VY
#
#  Model(s) Covered:  DL1720E(701715), DL1740E(701730), DL1740EL(701740)
#
#  Compatibility:     MET/CAL 7.11 or later
#
#  Subprocedures:     Sub Yokogawa DL17x0 Cal Init IEEE
#
#  Required Files:    None
#
#  Additional Equipment Required:
#                     None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Yokogawa DL17x0 Cal Init IEEE

  1.002  JMPL         TRIGGER_SENS                 PSUBI(" Trig Sens")
  1.003  JMPL         TRIGGER_LEVEL_ACC            PSUBI(" Trig Lev Acc")
  1.004  JMPL         EXTRIG_LEV_ACC               PSUBI("ExTrig Lev Acc")
  1.005  JMPL         EXTRIG_SENS                  PSUBI("ExTrig Sens")
  1.006  DISP         Subprocedure not found!
  1.007  END

  1.008  EVAL   Increment step number

# ========== Sub Yokogawa DL17x0E (1 yr) Trig Level Acc IEEE /5520+S6 =======

  2.001  LABEL        TRIGGER_LEVEL_ACC

# Only write test name into the result file when the channel 1 is tested
  2.002  IF           M[1] == 1
  2.003  RSLT         =
  2.004  RSLT         =TRIGGER LEVEL ACCURACY TEST
  2.005  ENDIF

  2.006  RSLT         =
  2.007  RSLT         =CHANNEL [M1]
  2.008  RSLT         =
  2.009  RSLT         = Trigger Level: 600 mV, Offset: 600 mV
  2.010  HEAD         TRIGGER LEVEL ACC: CH [M1], Trig Level & Offset 600 mV
  2.011  TARGET       -p
  2.012  IEEE2        CHAN[M1]:COUP DC50;PROB 1;BWID 20;VDIV 0.2V
  2.013  IEEE2        TIM:TDIV 5us
  2.014  IEEE2        TRIG:TYPE SIMP;SIMP:SOUR [M1]
  2.015  IEEE2        DISP:FORM SING
  2.016  IEEE2        CURS:TY:TYPE MARK;MARK:M[M1]:TRAC [M1];POS 0.0
# Set trig level and offset voltage to the channel under test.
  2.017  IEEE2        CHAN[M1]:OFFS 600mV;:TRIG:SOUR:CHAN[M1]:LEV 600mV;
  2.018  5520         400mVpp                      50kH           LS S6 S  L
  2.019  WAIT         -t 3 System settling...
  2.020  TARGET       -m
# Read the the value of cursor when the polarity is rise.
  2.021  IEEE2        TRIG:SIMP:SLOP RISE;[D1000]:CURS:TY:MARKER:Y[M1]?[I]
  2.022  MATH         L[1] = MEM
# Read the the value of cursor when the polarity is fall.
  2.023  IEEE2        TRIG:SIMP:SLOP FALL;[D1000]:CURS:TY:MARKER:Y[M1]?[I]
  2.024  MATH         L[2] = MEM
# Evaluate the value of trig level is within the specification
  2.025  MATH         MEM = (L[1] + L[2]) / 2 / 1E-3
  2.026  MATH         MEM2 = FMT(MEM, "%.3f") & " mV"
  2.027  MEM2         = Limit: +/-260.000 mV, Result: [MEM2]
  2.028  EVAL   -e (MEM >= -260) && (MEM <= 260) : [MEM2]

  3.001  RSLT         =
  3.002  RSLT         = Trigger Level: -600 mV, Offset: -600 mV
  3.003  HEAD         TRIGGER LEVEL ACC: CH [M1], Trig Level & Offset -600 mV
  3.004  TARGET       -p
# Set trig level and offset voltage to the channel under test.
  3.005  IEEE2        CHAN[M1]:OFFS -600mV;:TRIG:SOUR:CHAN[M1]:LEV -600mV;
  3.006  5520         400mVpp                      50kH           LS S6 S  L
  3.007  WAIT         -t 3 System settling...
  3.008  TARGET       -m
  3.009  IEEE2        TRIG:SIMP:SLOP RISE;[D1000]:CURS:TY:MARKER:Y[M1]?[I]
  3.010  MATH         L[1] = MEM
  3.011  IEEE2        TRIG:SIMP:SLOP FALL;[D1000]:CURS:TY:MARKER:Y[M1]?[I]
  3.012  MATH         L[2] = MEM
  3.013  MATH         MEM = (L[1] + L[2]) / 2 / 1E-3
  3.014  MATH         MEM2 = FMT(MEM, "%.3f") & " mV"
  3.015  MEM2         = Limit: +/-260.000 mV, Result: [MEM2]
  3.016  EVAL   -e (MEM >= -260) && (MEM <= 260) : [MEM2]

  4.001  5520         *                                                 S
  4.002  END

  4.003  EVAL   Increment step number

# ========= Sub Yokogawa DL17x0E (1 yr) Trig Sens IEEE /5520+S6 =============

  5.001  LABEL        TRIGGER_SENS

# Only write test name into the result file when the channel 1 is tested
  5.002  IF           M[1] == 1
  5.003  RSLT         =
  5.004  RSLT         =TRIGGER SENSITIVITY TEST
  5.005  ENDIF

  5.006  RSLT         =
  5.007  RSLT         =CHANNEL [M1]
  5.008  HEAD         TRIGGER SENSITIVITY TEST (CH [M1])
  5.009  TARGET       -p
  5.010  IEEE2        CHAN[M1]:COUP DC50;PROB 1;VDIV 0.5V
  5.011  IEEE2        TIM:TDIV 1ns
  5.012  IEEE2        TRIG:TYPE SIMP;SIMP:SOUR [M1]
  5.013  IEEE2        STOP;:ACQ:MODE AVER;COUN INF;RLEN 1000;AVER:EWE 4
  5.014  IEEE2        STAR;:DISP:FORM SING
  5.015  IEEE2        MEAS:MODE ON;TRAN1 -5,5;CHAN[M1]:PTOP:STAT ON
# Set the output of the calibrator so that the waveform amplitude display on
# the screen is about 500 mV.
  5.016  MATH         MEM = 500; MEM1 = MEM

  5.017  DO
  5.018  MATH         MEM = MEM1 + (500 - MEM) / 2
  5.019  5520         mVpp                         500MH          LS S6 S  L
  5.020  WAIT         [D1000]
  5.021  IEEE2        MEAS:CHAN[M1]:PTOP:VAL?[I]
  5.022  MATH         MEM = MEM / 1E-3
  5.023  UNTIL        (MEM >= 499.5) && (MEM <= 500)

  5.024  WAIT         -t 3 System settling...
  5.025  MEM2         =Do you see a stable triggered sine wave?
  5.026  EVAL   -s  " 1 div (on the display screen) at 500 MHz" : [MEM2]

  6.001  5520         *                                                 S
  6.002  END

  6.003  EVAL   Increment step number

# ========== Sub Yokogawa DL17x0E (1 yr) ExTrig Lev Acc IEEE /5520+S6 =======

  7.001  LABEL        EXTRIG_LEV_ACC
  7.002  RSLT         =
  7.003  RSLT         =EXT TRIGGER LEVEL ACCURACY TEST
  7.004  RSLT         =
  7.005  HEAD         EXT TRIGGER LEVEL ACCURACY TEST:{ 700 mV Level}
  7.006  TARGET       -p
  7.007  IEEE2        CHAN[M1]:COUP DC;PROB 1;BWID 20;VDIV 0.2V
  7.008  IEEE2        TIM:TDIV 5us
  7.009  IEEE2        TRIG:TYPE SIMP;SIMP:SOUR EXT
  7.010  IEEE2        STOP;:ACQ:MODE BAV;RLEN 10000
  7.011  IEEE2        STAR;:DISP:FORM SING
  7.012  IEEE2        CURS:TY:TYPE MARK;MARK:M[M1]:POS 0.0
  7.013  IEEE2        CHAN[M1]:OFFS 0mV
# Set trig level to the channel under test.
  7.014  IEEE2        TRIG:SIMP:LEV 700mV
  7.015  5520         1.6Vpp                       50kH           LS S6 S  L
  7.016  WAIT         -t 3 System settling...
  7.017  TARGET       -m
# Read the the value of cursor when the polarity is rise.
  7.018  IEEE2        TRIG:SIMP:SLOP RISE;[D1000]:CURS:TY:MARKER:Y[M1]?[I]
  7.019  MATH         L[1] = MEM
# Read the the value of cursor when the polarity is fall.
  7.020  IEEE2        TRIG:SIMP:SLOP FALL;[D1000]:CURS:TY:MARKER:Y[M1]?[I]
  7.021  MATH         L[2] = MEM
# Evaluate the value of trig level is within the specification
  7.022  MATH         MEM = (L[1] + L[2]) / 2 / 1E-3
  7.023  MATH         MEM2 = FMT(MEM, "%.3f") & " mV"
  7.024  MEM2         = Limit: 580.000 <= Level <= 820.000, Result: [MEM2]
  7.025  EVAL   -e (MEM >= 580) && (MEM <= 820) : [MEM2]

  8.001  RSLT         =
  8.002  HEAD         EXT TRIGGER LEVEL ACCURACY TEST:{ 0 mV Level}
  8.003  TARGET       -p
  8.004  IEEE2        TRIG:SIMP:LEV 0mV
  8.005  5520         1.6Vpp                       50kH           LS S6 S  L
  8.006  WAIT         -t 3 System settling...
  8.007  TARGET       -m
  8.008  IEEE2        TRIG:SIMP:SLOP RISE;[D1000]:CURS:TY:MARKER:Y[M1]?[I]
  8.009  MATH         L[1] = MEM
  8.010  IEEE2        TRIG:SIMP:SLOP FALL;[D1000]:CURS:TY:MARKER:Y[M1]?[I]
  8.011  MATH         L[2] = MEM
  8.012  MATH         MEM = (L[1] + L[2]) / 2 / 1E-3
  8.013  MATH         MEM2 = FMT(MEM, "%.3f") & " mV"
  8.014  MEM2         = Limit: -50.000 <= Level <= 50.000, Result: [MEM2]
  8.015  EVAL   -e (MEM >= -50) && (MEM <= 50) : [MEM2]

# Store this trigger level value for using in the "Sub Yokogawa DL17x0E (1 yr)
# ExTrig Sens IEEE/5520+S6".
  9.001  MATH         PUT("Vc", -1 * MEM)

  9.002  RSLT         =
  9.003  HEAD         EXT TRIGGER LEVEL ACCURACY TEST:{ -700 mV Level}
  9.004  TARGET       -p
  9.005  IEEE2        TRIG:SIMP:LEV -700mV
  9.006  5520         1.6Vpp                       50kH           LS S6 S  L
  9.007  WAIT         -t 3 System settling...
  9.008  TARGET       -m
  9.009  IEEE2        TRIG:SIMP:SLOP RISE;[D1000]:CURS:TY:MARKER:Y[M1]?[I]
  9.010  MATH         L[1] = MEM
  9.011  IEEE2        TRIG:SIMP:SLOP FALL;[D1000]:CURS:TY:MARKER:Y[M1]?[I]
  9.012  MATH         L[2] = MEM
  9.013  MATH         MEM = (L[1] + L[2]) / 2 / 1E-3
  9.014  MATH         MEM2 = FMT(MEM, "%.3f") & " mV"
  9.015  MEM2         = Limit: -820.000 <= Level <= -580.000, Result: [MEM2]
  9.016  EVAL   -e (MEM >= -820) && (MEM <= -580) : [MEM2]

 10.001  5520         *                                                 S
 10.002  END

 10.003  EVAL   Increment step number

# ========= Sub Yokogawa DL17x0E (1 yr) ExTrig Sens IEEE/5520+S6 ==========

 11.001  LABEL        EXTRIG_SENS
 11.002  RSLT         =
 11.003  HEAD         {EXT TRIGGER SENSITIVITY and TRIGER OUTPUT TEST}
 11.004  TARGET       -p
# Turn on the display of second channel for the trigger output signal.
 11.005  MATH         M[2] = M[1] + 1
 11.006  IEEE2        CHAN[M1]:COUP DC50;PROB 1;VDIV 20mV
 11.006  IEEE2        CHAN[M2]:MODE ON;COUP DC;PROB 1;VDIV 2V
 11.007  IEEE2        TIM:TDIV 10ns
 11.008  IEEE2        TRIG:TYPE SIMP;POS 10;SIMP:SOUR EXT
 11.009  IEEE2        STOP;:ACQ:MODE NORM;RLEN 10000
 11.010  IEEE2        STAR;:DISP:FORM DUAL
# Set the trig level value which is saved in the "Sub Yokogawa DL17x0E (1 yr)
# ExTrig Lev Acc IEEE /5520+S6"
 11.011  MATH         MEM = GET("Vc")
 11.012  IEEE2        TRIG:SIMP:LEV [MEM]mV
 11.013  5520         100mVpp                      100MH          LS S6 S  L
 11.014  WAIT         -t 3 System settling...
 11.015  MEM2         =Do you see stable triggered sine wave and trig signal?
 11.016  EVAL   -s  " 100 mVp-p Sensitivity at 100 MHz" : [MEM2]

 12.001  5520         *                                                 S
 12.002  END
